# Generated by Django 4.0 on 2021-12-30 16:45

import datetime
import uuid

import django.db.models.deletion
from django.db import migrations, models
from django.utils.timezone import utc


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Application",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        default=datetime.datetime(1970, 1, 1, 0, 0, tzinfo=utc),
                        editable=False,
                    ),
                ),
                ("uid", models.UUIDField(default=uuid.uuid4, editable=False)),
                ("data", models.JSONField()),
            ],
        ),
        migrations.CreateModel(
            name="Language",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("code", models.CharField(max_length=3)),
                ("points", models.IntegerField()),
                (
                    "applicant",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="applications.application",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="Inquiry",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("uid", models.UUIDField(default=uuid.uuid4, editable=False)),
                ("created", models.DateTimeField(editable=False)),
                ("data", models.JSONField()),
                (
                    "state",
                    models.CharField(
                        choices=[("NEW", "new"), ("ANSWERED", "answered")],
                        default="NEW",
                        max_length=255,
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[("AVAILABILITY", "availability")],
                        default="AVAILABILITY",
                        max_length=255,
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
